# Class CubeIterator

java.lang.Object
org.jmol.bspt.CubeIterator

public class CubeIterator extends Object
Iterator used for finding all points within a box or a hemi-box

Obtain a CubeIterator by calling Bspt.allocateCubeIterator().

call initialize(...) or initializeHemizphere(...)

re-initialize in order to reuse the same CubeIterator

Author:
  Miguel, miguel@jmol.org

## Method Summary

Modifier and Type
Method
Description
`float`
`foundDistance2()`
After calling nextElement(), allows one to find out the value of the distance squared.
`boolean`
`hasMoreElements()`
normal iterator predicate
`void`
`initialize(T3 center, float radius, boolean hemisphereOnly)`
initialize to return all points within the sphere defined by center and radius
`T3`
`nextElement()`
normal iterator method
`void`
`release()`
nulls internal references

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### initialize

public void initialize(T3 center, float radius, boolean hemisphereOnly)
initialize to return all points within the sphere defined by center and radius

Parameters:
  `center` -
  `radius` -
  `hemisphereOnly` -

### release

public void release()
nulls internal references

### hasMoreElements

public boolean hasMoreElements()
normal iterator predicate

Returns:
  boolean

### nextElement

public T3 nextElement()
normal iterator method

Returns:
  Tuple

### foundDistance2

public float foundDistance2()
After calling nextElement(), allows one to find out the value of the distance squared. To get the distance just take the sqrt.

Returns:
  float